Content

API for managing languages and translations of Fynd Commerce

Blog

Blog

Operations
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/
# Create blog
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/
# List blogs
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/{id}
# Update a blog
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/{id}
# Delete a blog
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/blogs/{slug}
# Get blog by slug
POST

Create blog

Generate and add a new blog.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
application
string
_custom_json
object
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
tags
array of string
title
string
seo
object (SEO)
Show
summary
string
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/
Loading...
Response
200
Success. Refer `BlogSchema` for more details.
Hide
_id
string
_custom_json
object
application
string
archived
boolean
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
publish_date
string
| date-time
tags
array of string
seo
object (SEO)
Show
title
string
date_meta
object (DateMeta)
Show
summary
string
Examples
Parameters
body:
body
Response
Loading...
GET

List blogs

List all blogs
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
tagsquery
string
Blogs retrieve based on the list of tags passed.
qquery
string
Blogs retrieve based on the title or slug passed.
slugquery
string
Blogs retrieve based on the slug passed.
titlequery
string
Blogs retrieve based on the title passed.
statusquery
string
Blogs retrieve based on the status passed.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/
Loading...
Response
200
Success. Refer `BlogGetDetails` for more details.
Hide
items
array of object (BlogSchema)
Show
page
object (Page)
Show
filters
object (BlogFilters)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Update a blog

Modify the content and settings of a specific blog.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to the blog.
Request body
application
string
_custom_json
object
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
tags
array of string
title
string
seo
object (SEO)
Show
summary
string
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/{id}
Loading...
Response
200
Success.
Hide
_id
string
_custom_json
object
application
string
archived
boolean
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
publish_date
string
| date-time
tags
array of string
seo
object (SEO)
Show
title
string
date_meta
object (DateMeta)
Show
summary
string
Examples
Parameters
body:
body
Response
Loading...
DEL

Delete a blog

Remove a specific blog.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to the blog.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/blogs/{id}
Loading...
Response
200
Success.
Hide
_id
string
_custom_json
object
application
string
archived
boolean
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
publish_date
string
| date-time
tags
array of string
seo
object (SEO)
Show
title
string
date_meta
object (DateMeta)
Show
summary
string
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get blog by slug

Retrieve detailed information about a specific blog using its slug.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
slugpath
string
Required
A short, human-readable, URL-friendly identifier of a blog page. You can get slug value of a blog from `getBlogs` API.
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/blogs/{slug}
Loading...
Response
200
Success. Returns a JSON object with components. Refer `BlogSchema` for more details.
Hide
_id
string
_custom_json
object
application
string
archived
boolean
author
object (Author)
Show
content
array of object (ResourceContent)
Show
feature_image
object (Asset)
Show
published
boolean
reading_time
string
slug
string
publish_date
string
| date-time
tags
array of string
seo
object (SEO)
Show
title
string
date_meta
object (DateMeta)
Show
summary
string
Examples
Parameters
Parameters are not required.
Response
Loading...

Custom Fields

Custom fields are a flexible way to attach additional information to a resource (e.g. Product, promotions, etc.). Some examples of data stored using customfields include specifications, size charts, downloadable documents, release dates, images, or part numbers. Custom fields are identified by an owner resource, a namespace, and a key and they store a value along with type information for that context.

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metafields/types
# Get custom field types
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metafields/resources
# Get resources
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/definition
# Get custom fields definitions
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/definition
# Get custom fields definitions for a given resource type
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/definition
# Create custom field definition for a given resource type
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Get custom fields definition by resource, slug and namespace
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Update custom field definition
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
# Delete custom fields definition
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/{resource_slug}
# Get list of custom fields of given resource and resource slug
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/{resource_slug}
# Create custom field entries for gives resource and resource slug
GET

Get custom field types

Each custom field and custom field definition has a type, which defines the type of information that it can store. The custom field types have built-in validation. This api will give list of supported custom fields types
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metafields/types
Loading...
Response
200
400
Success. Returns all custom field types.
Hide
response schema for all custom field types
metafield_types
object (CustomFieldTypeSchema)
Show
Response
Loading...
GET

Get resources

Each custom fields is assosiated with a resource such as product, promotion, coupon, selling location etc, This will gives list of supported resource list.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metafields/resources
Loading...
Response
200
400
Success. Returns a JSON object of resources. Refer `ResourcesSchema` for more details.
Hide
Custom fields Resources
resources
array of object (ResourceSchema)
Show
Response
Loading...
GET

Get custom fields definitions

Custom field definitions enable you to include data validation for custom fields, and enable sellers to add custom fields values for resources. With the help of this seller can retrive list of custom field definitions list.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
resourcesquery
string
This is the resource for which we are fetching definitions
typesquery
string
This is the type of the custom fields definitions
searchquery
string
This is the search text to filter custom fields definitions
slugsquery
string
This is the slug list to filter custom fields definitions, it will come comma separated
namespacesquery
string
This is the namespace list to filter custom fields definitions, it needs to be comma separated
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/definition
Loading...
Response
200
400
Success. Returns a list of custom fields definitions. Refer `CustomFieldDefinitionsSchema` for more details.
Hide
response schema of custom field definition
items
array of object (FieldDefinitionSchema)
list of custom field definitions
Show
page
object (Page)
Show
Response
Loading...
GET

Get custom fields definitions for a given resource type

Custom field definitions enable you to include data validation for custom fields, and enable sellers to add custom fields values for resources. With the help of this seller can retrive list of custom field definitions list.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
typesquery
string
This is the type of the custom fields definitions
searchquery
string
This is the search text to filter custom fields definitions
slugsquery
string
This is the slug list to filter custom fields definitions, it will come comma separated
namespacesquery
string
This is the namespace list to filter custom fields definitions, it needs to be comma separated
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/definition
Loading...
Response
200
400
Success. Returns a list of custom fields definitions. Refer `CustomFieldDefinitionsSchema` for more details.
Hide
response schema of custom field definition
items
array of object (FieldDefinitionSchema)
list of custom field definitions
Show
page
object (Page)
Show
Response
Loading...
POST

Create custom field definition for a given resource type

You can create custom fields definition to any resource so you can extend property of resource.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
Request body
type
string
data type of custom field
slug
string
slug of custom field definition
namespace
string
namespace of custom field definition
multi_value
boolean
flag to denote whether custom field is multi valued or not
name
string
name of custom field definition
description
string
description of a custom field definition
validations
array of object (FieldValidations)
validations for a custom field
Show
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/definition
Loading...
Response
200
400
Custom field definition created.
Hide
response schema of custom field definition
resource
string
resource to which custom field is associated
name
string
name of custom field
namespace
string
namespace of custom field
slug
string
slug of custom field
description
string
description regarding custom field
type
string
data type of custom field
multi_value
boolean
flag to denote whether custom field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the customfield is required or not
is_deleted
boolean
is custom field deleted
id
string
Unique system generated id
validations
array of Undefined Type
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
GET

Get custom fields definition by resource, slug and namespace

Custom field definitions can be retrived from this using its slug, namespace and resource
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Success. Returns a custom field definition. Refer `MetaFieldDefinitionDetailResSchema` for more details.
Hide
response schema of meta field definition
resource
string
resource to which meta field is associated
name
string
name of meta field
namespace
string
namespace of meta field
slug
string
slug of meta field
description
string
description regarding meta field
type
string
data type of meta field
multi_value
boolean
flag to denote whether meta field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the field is required or not
is_deleted
boolean
is meta field deleted
id
string
Unique system generated id
validations
array of Undefined Type
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
PUT

Update custom field definition

Custom fields definition can be update using this api, You can update custom field definition name and description.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
Request body
type
string
data type of custom field
slug
string
slug of custom field definition
namespace
string
namespace of custom field definition
multi_value
boolean
flag to denote whether custom field is multi valued or not
name
string
name of custom field definition
description
string
description of a custom field definition
validations
array of object (FieldValidations)
validations for a custom field
Show
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Custom field definition updated.
Hide
response schema of custom field definition
resource
string
resource to which custom field is associated
name
string
name of custom field
namespace
string
namespace of custom field
slug
string
slug of custom field
description
string
description regarding custom field
type
string
data type of custom field
multi_value
boolean
flag to denote whether custom field is multi valued or not
company_id
string
| integer
Company Identifer
application_id
string
Sales channel identifier
required
boolean
whether the customfield is required or not
is_deleted
boolean
is custom field deleted
id
string
Unique system generated id
validations
array of object
created_at
string
| date-time
date time at which field was created
updated_at
string
| date-time
date time at for a field's last modification
Response
Loading...
DEL

Delete custom fields definition

Custom field definition and its assosiated custom fields value can be deleted using this api on the basis of definition id.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom field definition slug
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
namespacepath
string
Required
This is namespace for a custom field
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/namespace/{namespace}/definition/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema for custom field delete
success
boolean
denotes the success of the delete operation
message
string
denotes the message of delete operation
Response
Loading...
GET

Get list of custom fields of given resource and resource slug

Retrieves a list of custom fields attached to a particular resource by using the resource and resource slug.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
resource_slugpath
string
Required
This is the resource slug for which custom fields created
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/{resource_slug}
Loading...
Response
200
400
Success. Returns a list of custom fields. Refer `CustomFieldsResponseByResourceIdSchema` for more details.
Hide
response schema for custom field when resource slug is provided
items
array of object (CustomFieldSchema)
Show
Response
Loading...
PUT

Create custom field entries for gives resource and resource slug

You can add a custom field using this endpoint to any resource by providing the resource slug.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
resourcepath
string
Required
This is the type of resource for which you want to fetch custom fields eg. product, collection, customer etc.
resource_slugpath
string
Required
This is the resource slug for which custom fields created
Request body
fields
array of object (CustomField)
Show
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customfields/resource/{resource}/{resource_slug}
Loading...
Response
200
400
Success. Returns a list of custom fields. Refer `CustomFieldsResponseByResourceIdSchema` for more details.
Hide
response schema for custom field when resource slug is provided
items
array of object (CustomFieldSchema)
Show
Response
Loading...

Custom Objects

Custom objects refer to entities that are not currently present on the platform. Sellers can create these custom data structures, allowing them to define the essential custom fields according to their preferences. These custom objects are introduced to address unique data requirements that fall outside the platform's standard features.

Operations
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition
# Create custom object definition
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition
# Get custom object definitions
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
# Get custom object definition
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
# Update custom object definition
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
# Delete custom object definition
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries
# Get list of custom objects
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries
# Create custom object entries
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Get custom object details
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Delete custom object
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
# Update custom object details
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metaobjects/jobs
# Get bulk import and export job list
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/upload
# Bulk custom object entries upload
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/download
# Initiate download for bulk custom object entries
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/sample
# Download sample for custom object bulk entry
POST

Create custom object definition

Create a custom object that will have a collection of custom fields and can be used anywhere in the custom field for any resource.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
Request body
type
string
Namespace/Slug of Custom object definition
definition_slug
string
Unique slug for a custom object definition
description
string
description of custom object definition
name
string
name of custom object
display_name_key
string
denotes which custom field to be used for displaying custom object
field_definitions
array of object (CustomObjectCustomFieldDefinitions)
list of custom field definitions belonging to this custom object definition
Show
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition
Loading...
Response
200
400
Success. Returns the saved custom object defintion
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
GET

Get custom object definitions

Custom object definition lists can be obtained using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
searchquery
string
This is the search text to filter custom fields definitions
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition
Loading...
Response
200
400
Success. Returns a list custom object definitions.
Hide
Response body schema for custom object definition
items
array of object (CustomObjectEntry)
Show
page
object (Page)
Show
Response
Loading...
GET

Get custom object definition

Custom object definitions can be fetched using their custom object definition slug.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
PUT

Update custom object definition

Custom object definitions can be updated using this endpoint. You can update the name and description of the custom object and add more custom field definitions to the existing custom object.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
Request body
description
string
description of custom object definiton
name
string
name of custom object definition
display_name_key
string
custom field slug which is used as a display key in
field_definitions
array of object (CustomObjectCustomFieldDefinitions)
Show
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Custom field definition updated.
Hide
response schema of custom object definition.
id
string
Unique system generated custom object definition id
name
string
Display name of custom object definition
type
string
Type of custom object definiton
definition_slug
string
Slug of custom object definiton
display_name_key
string
Display name of custom object definition
description
string
description of custom object definition
field_definitions
array of object (CustomFieldDefinitionDetailResSchema)
Custom fields inside custom objects
Show
Response
Loading...
DEL

Delete custom object definition

Custom object definitions can be deleted using this endpoint by providing the definition ID.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}
Loading...
Response
200
400
Custom object definition details.
Hide
response schema when custom object definition is deleted.
success
boolean
Success status of delete custom object definition.
message
string
Response message when custom object definition is deleted.
Response
Loading...
GET

Get list of custom objects

Custom object entries can fetch using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
page_noquery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
definition_slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries
Loading...
Response
200
400
Success. Returns a list of custom objects. Refer `CustomObjectsSchema` for more details.
Hide
schema of custom object entries
items
array of object (CustomObjectListItemSchema)
list of paginated custom object entries
Show
page
object (Page)
Show
Response
Loading...
POST

Create custom object entries

Custom object entries against the custom object definition can be added using this API.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
definition_slugpath
string
Required
This is custom object definition slug
Request body
status
string
status of the custom object entry.
fields
array of object (CustomObjectEntryFieldSchemaWithoutID)
list of custom fields
Show
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries
Loading...
Response
200
400
Success. Returns a list of custom objects. Refer `CustomObjectSchema` for more details.
Hide
response schema for custom object entry
id
string
Unique system generated id
company_id
string
| integer
Identifer for a company
application_id
string
Identifer for a sales channel
status
string
Status of custom object
type
string
Slug of custom object definition
definition_slug
string
Slug for custom object definition
display_name
string
Value of custom field used for displaying custom object
fields
array of object (CustomFieldSchema)
Fields associated to the custom object
Show
Response
Loading...
GET

Get custom object details

Details of a custom object entry can be obtained using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Success. Returns a custom object. Refer `CustomObjectBySlugSchema` for more details.
Hide
response schema of custom object by id
id
string
Unique system generated identifer for a Custom Object
status
string
status of Custom Object
display_name
string
Display name for the Custom Object
definition
object (CustomObjectListItemDefinitionModel)
Show
references
array of Undefined Type
Places where the custom object has been used as a custom field
slug
string
slug of custom object entry
definition_slug
string
slug of custom object definition
fields
array of object (CustomObjectFieldDefinition)
List of custom fields inside the custom object
Show
Response
Loading...
DEL

Delete custom object

A Custom object entry can be deleted by providing the custom object definition slug and custom object entry slug using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
DEL
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Success. It will returns the message for delete successfully.
Hide
response schema for custom field delete
success
boolean
denotes the success of the delete operation
message
string
denotes the message of delete operation
Response
Loading...
PUT

Update custom object details

Custom object entries can be updated using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
definition_slugpath
string
Required
This is custom object definition slug
slugpath
string
Required
This is custom object entry slug
Request body
status
string
status of the custom object entry.
fields
array of object (CustomObjectEntryFieldSchemaWithoutID)
list of custom fields
Show
PUT
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{definition_slug}/entries/{slug}
Loading...
Response
200
400
Custom field definition created.
Hide
response schema of custom object by id
id
string
Unique system generated identifer for a Custom Object
status
string
status of Custom Object
display_name
string
Display name for the Custom Object
definition
object (CustomObjectListItemDefinitionModel)
Show
references
array of object
Places where the custom object has been used as a custom field
slug
string
slug of custom object entry
definition_slug
string
slug of custom object definition
fields
array of object (CustomObjectFieldDefinition)
List of custom fields inside the custom object
Show
Response
Loading...
GET

Get bulk import and export job list

Custom object bulk import and export jobs status and details can be obtained using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
pagequery
string
Required
This is the page number
page_sizequery
string
Required
This is the page size
action_typequery
string
Required
This is the action type
Enum
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/metaobjects/jobs
Loading...
Response
200
400
Success. Returns all bulk entries history.
Hide
schema for custom object bulk entries
items
array of object (JobSchema)
Show
page
object (Page)
Show
Response
Loading...
POST

Bulk custom object entries upload

Custom object bulk import of bulk entries can be performed using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
Request body
url
string
Full URL for the bulk operations data
total_records
integer
Total records in the upload.
POST
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/upload
Loading...
Response
200
400
Success. Returns confirmation that the upload has started
Hide
response schema of custom object entry bulk.
url
string
Signed url of csv
total_records
integer
Total no of records in csv file
Response
Loading...
GET

Initiate download for bulk custom object entries

Custom object bulk export of bulk entries can be perform using this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/download
Loading...
Response
200
400
Success. Initiates bulk entries download
Hide
response schema of custom object bulk entry download initiation
message
string
message for the user
task_id
string
Identifer for a task
Response
Loading...
GET

Download sample for custom object bulk entry

Sample files for custom object bulk import can be obtained from this endpoint.
Parameters
company_idpath
integer
Required
This is company id
application_idpath
string
Required
This is application id
slugpath
string
Required
This is custom object definition slug
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/customobjects/definition/{slug}/bulk/sample
Loading...
Response
200
400
Success. Get headers of custom object definition
Response
Loading...

Custom Page

Custom Page

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/meta
# Get page meta
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/spec
# Get page specification
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/publish/{slug}
# Update page preview
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/pages/
# Get pages
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/pages/{slug}
# Get page by slug
GET

Get page meta

Use this API to Get metadata for a specific page.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/meta
Loading...
Response
200
Success. Refer `PageMetaSchema` for more details.
Hide
system_pages
array of object (NavigationSchema)
Show
custom_pages
array of object (PageSchema)
Show
application_id
string
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get page specification

Use this API to Get specifications and details for a specific page
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/spec
Loading...
Response
200
Success. Refer `PageSpec` for more details.
Hide
specifications
array of object (PageSpecItem)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Update page preview

Modify the content and settings of a specific page preview.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
slugpath
string
Required
A short, human-readable, URL-friendly identifier of a page. You can get slug value of a page from `getPages` API.
Request body
publish
boolean
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/pages/publish/{slug}
Loading...
Response
200
Success.
Hide
_id
string
application
string
component_ids
array of string
Components can be used to store multiple components
content
array of object
content_path
string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
description
string
feature_image
object (Asset)
Show
page_meta
array of object
_schedule
object (ScheduleSchema)
Show
_custom_json
object
orientation
string
platform
string
published
boolean
slug
string
tags
array of string
title
string
type
string
seo
object (SEO)
Show
visibility
object
archived
boolean
Examples
Parameters
body:
body
Response
Loading...
GET

Get pages

Retrieve a list of available pages.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/pages/
Loading...
Response
200
Success. Refer `PageGetDetails` for more details.
Hide
items
array of object (PageSchema)
Show
page
object (Page)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get page by slug

Get detailed information about a specific page using its slug.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
slugpath
string
Required
A short, human-readable, URL-friendly identifier of a page. You can get slug value of a page from `getPages` API.
GET
/service/platform/content/v2.0/company/{company_id}/application/{application_id}/pages/{slug}
Loading...
Response
200
Success. Returns a JSON object of components. Refer `PageSchema` for more details.
Hide
_id
string
application
string
component_ids
array of string
Components can be used to store multiple components
content
array of object
content_path
string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
description
string
feature_image
object (Asset)
Show
page_meta
array of object
_schedule
object (ScheduleSchema)
Show
_custom_json
object
orientation
string
platform
string
published
boolean
slug
string
tags
array of string
title
string
type
string
seo
object (SEO)
Show
visibility
object
archived
boolean
Examples
Parameters
Parameters are not required.
Response
Loading...

Customer Support

Customer Support

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/support
# Get support information
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/support
# Update Customer Support Information
GET

Get support information

Retrieve information related to customer support.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/support
Loading...
Response
200
Success. Refer `Support` for more details.
Hide
created
boolean
_id
string
application
string
created_at
string
| date-time
updated_at
string
| date-time
contact
object (ContactSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Update Customer Support Information

Modify information related to customer support.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
created
boolean
_id
string
application
string
created_at
string
| date-time
updated_at
string
| date-time
contact
object (ContactSchema)
Show
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/support
Loading...
Response
200
Success. Refer `Support` for more details.
Hide
created
boolean
_id
string
application
string
created_at
string
| date-time
updated_at
string
| date-time
contact
object (ContactSchema)
Show
Examples
Parameters
body:
body
Response
Loading...

FAQs

FAQs

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/categories
# List FAQ Categories
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id_or_slug}
# Get FAQ category
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category
# Create FAQ Category
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id}
# Update FAQ category
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id}
# Delete FAQ category
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id_or_slug}/faqs
# List FAQs
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq
# Create FAQ
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq/{faq_id}
# Update FAQ
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq/{faq_id}
# Delete FAQ
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/{id_or_slug}
# Get FAQ or slug
GET

List FAQ Categories

List all FAQ Categories
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/categories
Loading...
Response
200
Success. Refer `GetFaqCategoriesSchema` for more details.
Hide
categories
array of object (CategorySchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
Response
Loading...
GET

Get FAQ category

Get detailed information about a specific FAQ category
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
id_or_slugpath
string
Required
ID or the slug allotted to an FAQ category. Slug is a short, human-readable, URL-friendly identifier of an object. You can get slug value of an FAQ category from `getFaqCategories` API.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id_or_slug}
Loading...
Response
200
Success. Refer `GetFaqCategoryBySlugSchema` for more details.
Hide
category
object (FAQCategorySchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
id_or_slug:
"value"
Response
Loading...
POST

Create FAQ Category

Generate and add a new FAQ category.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
category
object (CategoryRequestSchema)
Show
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category
Loading...
Response
200
Success.
Hide
category
object (CategorySchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...
PUT

Update FAQ category

Modify the content and settings of a specific FAQ category.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to an FAQ category.
Request body
category
object (CategorySchema)
Show
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id}
Loading...
Response
200
Success.
Hide
category
object (CategorySchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
id:
"value"
body:
body
Response
Loading...
DEL

Delete FAQ category

Remove a specific FAQ category.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to an FAQ category.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id}
Loading...
Response
200
Success.
Hide
slug
string
application
string
_id
string
question
string
answer
string
tags
array of string
Examples
Parameters
company_id:
"value"
application_id:
"value"
id:
"value"
Response
Loading...
GET

List FAQs

Retrieve a list of FAQs within a specific category.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
id_or_slugpath
string
Required
ID or the slug allotted to an FAQ category. Slug is a short, human-readable, URL-friendly identifier of an object. You can get slug value of an FAQ category from `getFaqCategories` API.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{id_or_slug}/faqs
Loading...
Response
200
Success. Refer `GetFaqSchema` for more details.
Hide
faqs
array of object (FaqSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
id_or_slug:
"value"
Response
Loading...
POST

Create FAQ

Create and add a new FAQ.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
category_idpath
string
Required
ID allotted to an FAQ category.
Request body
faq
object (FAQ)
Show
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq
Loading...
Response
200
Success.
Hide
faq
object (FaqSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
category_id:
"value"
body:
body
Response
Loading...
PUT

Update FAQ

Modify the content and settings of a specific FAQ.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
category_idpath
string
Required
ID allotted to an FAQ category.
faq_idpath
string
Required
ID allotted to an FAQ.
Request body
faq
object (FAQ)
Show
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq/{faq_id}
Loading...
Response
200
Success.
Hide
faq
object (FaqSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
category_id:
"value"
faq_id:
"value"
body:
body
Response
Loading...
DEL

Delete FAQ

Remove a specific FAQ.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
category_idpath
string
Required
ID allotted to an FAQ category.
faq_idpath
string
Required
ID allotted to an FAQ.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/category/{category_id}/faq/{faq_id}
Loading...
Response
200
Success.
Hide
faq
object (FaqSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
category_id:
"value"
faq_id:
"value"
Response
Loading...
GET

Get FAQ or slug

Get detailed information about a specific FAQ
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
id_or_slugpath
string
Required
ID or the slug allotted to an FAQ category. Slug is a short, human-readable, URL-friendly identifier of an object. You can get slug value of an FAQ category from `getFaqCategories` API.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/faq/{id_or_slug}
Loading...
Response
200
Success. Refer `CreateFaqResponseSchema` for more details.
Hide
faq
object (FaqSchema)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
id_or_slug:
"value"
Response
Loading...

HTML Tags

Third-party HTML tags encompass external HTML elements sourced from outside the application or website environment, often integrated via Sales Channel Settings or extensions. These tags can include script elements, enabling the integration of external functionalities such as analytics tracking, live chat services, or e-commerce tools. Similarly, style elements may be incorporated to leverage external CSS frameworks or design libraries, enhancing the visual presentation and user experience of the application. By incorporating these third-party HTML tags, developers can extend the functionality, performance, and aesthetics of their application or website, enriching the overall user experience and expanding the range of features available to users. This resource allows you to fetch all such Tags that are setup for an application.

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags
# Get all HTML tags
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/add
# Create HTML tag
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/remove/handpicked
# Remove HTML tag
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/edit/handpicked/{tag_id}
# Update HTML tag
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/templates
# Get Script Tags Templates
GET

Get all HTML tags

Retrieve a list of injectable tags.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
allquery
boolean
Get all tags irrespective of the creator of tags
Default Value : false
searchquery
string
Keyword to filter and find tags by name.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags
Loading...
Response
200
Success. Refer `TagsSchema` for more details.
Hide
application
string
The ID of the application that owns the tags.
_id
string
The unique identifier for the tag set.
company
string
The ID of the company associated with this tags.
tags
array of object (TagSchema)
A list of tags (HTML resources like scripts or stylesheets) that are configured for the application.
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
all:
false
search:
"value"
Response
Loading...
PUT

Create HTML tag

Create and add a new injectable tag.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
tags
array of object (CreateTagSchema)
A list of tags to be created or updated, each containing details such as name, type, and attributes.
Show
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/add
Loading...
Response
200
Success.
Hide
application
string
The ID of the application that owns the tags.
_id
string
The unique identifier for the tag set.
company
string
The ID of the company associated with this tags.
tags
array of object (TagSchema)
A list of tags (HTML resources like scripts or stylesheets) that are configured for the application.
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...
PUT

Remove HTML tag

Delete a specific injectable tag.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
tags
array of string
A list of tag IDs to remove from the system.
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/remove/handpicked
Loading...
Response
200
Success.
Hide
success
boolean
Indicates whether the tag removal operation was successful.
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...
PUT

Update HTML tag

Modify settings for an injectable tag.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform.
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
tag_idpath
string
Required
ID allotted to the tag.
Request body
tag
object (HandpickedTagSchema)
Show
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/edit/handpicked/{tag_id}
Loading...
Response
200
Success.
Hide
application
string
The ID of the application that owns the tags.
_id
string
The unique identifier for the tag set.
company
string
The ID of the company associated with this tags.
tags
array of object (TagSchema)
A list of tags (HTML resources like scripts or stylesheets) that are configured for the application.
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
tag_id:
"value"
body:
body
Response
Loading...
GET

Get Script Tags Templates

Retrieve the available script tag templates
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account.
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/tags/templates
Loading...
Response
200
Success. Returns a JSON object with tags templates. Refer `TagsTemplateSchema` for more details.
Hide
Represents the list of available tag templates for a company and application.
items
array of object (TagTemplateItem)
Array of tag template objects.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...

Landing Page

The landing Page Selection module extends versatility by enabling sellers to designate specific landing pages as the home page for different types of devices and platforms, including websites, Android, and iOS. This functionality offers unprecedented customization, allowing sellers to tailor the browsing experience based on the preferences and behaviours of their audience across various devices. By selecting dedicated landing pages optimized for each platform, sellers can ensure consistency in branding and messaging while maximizing engagement and conversions. Whether visitors are accessing the site from a desktop browser, Android device, or iOS device, Fynd Platform's Landing Page Selection empowers sellers to deliver a seamless and tailored experience that resonates with their audience, ultimately driving success in their e-commerce endeavours.

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/
# Get landing pages
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/
# Create landing page
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/{id}
# Update landing page
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/{id}
# Delete landing page
GET

Get landing pages

Lists a list landing pages as per device types
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/
Loading...
Response
200
Success. Refer `LandingPageGetDetails` for more details.
Hide
items
array of object (LandingPageSchema)
Show
page
object (Page)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Create landing page

Generate and add a new landing page.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
slug
string
action
object (Action)
Show
platform
array of string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
_id
string
application
string
archived
boolean
_custom_json
object
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/
Loading...
Response
200
Success.
Hide
slug
string
action
object (Action)
Show
platform
array of string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
_id
string
application
string
archived
boolean
_custom_json
object
Examples
Parameters
body:
body
Response
Loading...
PUT

Update landing page

Modify the content and settings of a specific landing page.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to a landing page.
Request body
slug
string
action
object (Action)
Show
platform
array of string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
_id
string
application
string
archived
boolean
_custom_json
object
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/{id}
Loading...
Response
200
Success.
Hide
slug
string
action
object (Action)
Show
platform
array of string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
_id
string
application
string
archived
boolean
_custom_json
object
Examples
Parameters
body:
body
Response
Loading...
DEL

Delete landing page

Remove a specific landing page.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
idpath
string
Required
ID allotted to a landing page.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/landing-page/{id}
Loading...
Response
200
Success.
Hide
slug
string
action
object (Action)
Show
platform
array of string
created_by
object (CreatedBySchema)
Show
date_meta
object (DateMeta)
Show
_id
string
application
string
archived
boolean
_custom_json
object
Examples
Parameters
Parameters are not required.
Response
Loading...

Legal Page

Legal pages encompass essential documents required for e-commerce businesses to comply with legal regulations and establish transparent policies. These pages include a Privacy Policy detailing data handling practices, Terms & Conditions of Service outlining user responsibilities and transaction terms, Return Policy specifying refund procedures, and Shipping Policy detailing shipping terms and conditions. These documents help build trust with customers, mitigate legal risks, and ensure compliance with relevant laws and regulations, ultimately contributing to a positive shopping experience and legal protection for the business. Using this resource, you can retrieve all such information that has been set up on the platform to display it over websites and mobile applications.

Operations
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/legal
# Get Legal Pages
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/legal
# Update Legal Pages
GET

Get Legal Pages

Get legal information and terms
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/legal
Loading...
Response
200
Success. Refer `ApplicationLegal` for more details.
Hide
application
string
tnc
string
policy
string
shipping
string
returns
string
faq
array of object (ApplicationLegalFAQ)
Show
_id
string
updated_at
string
| date-time
created_at
string
| date-time
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Update Legal Pages

Modify legal information and terms.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
application
string
tnc
string
policy
string
shipping
string
returns
string
faq
array of object (ApplicationLegalFAQ)
Show
_id
string
updated_at
string
| date-time
created_at
string
| date-time
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/legal
Loading...
Response
200
Success. Refer `ApplicationLegal` for more details.
Hide
application
string
tnc
string
policy
string
shipping
string
returns
string
faq
array of object (ApplicationLegalFAQ)
Show
_id
string
updated_at
string
| date-time
created_at
string
| date-time
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...

Path Redirection Rules

Path Redirection Rules

Operations
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings
# Create path redirection rules
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings
# List Path Redirection Rules
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
# Get Path Redirection Rule
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
# Update path redirection rule
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
# Delete path redirection rule
POST

Create path redirection rules

Create and add rules for path redirection.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings
Loading...
Response
200
Success. Refer `PathMappingSchema` for more details.
Hide
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

List Path Redirection Rules

Use this API to List Path Redirection Rules
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
page_sizequery
integer
The number of items to retrieve in each page. Default value is 5.
Default Value : 5
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings
Loading...
Response
200
Success. Refer `PathMappingSchema` for more details.
Hide
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get Path Redirection Rule

Use this API to Get detailed information about a specific path redirection rule
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
path_idpath
string
Required
ID allotted to the path redirection rule.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
Loading...
Response
200
Success. Refer `PathMappingSchema` for more details.
Hide
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Update path redirection rule

Modify settings for path redirection rules.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
path_idpath
string
Required
ID allotted to the path redirection rule.
Request body
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
Loading...
Response
200
Success. Refer `PathMappingSchema` for more details.
Hide
application
string
_id
string
redirect_from
string
redirect_to
string
updated_at
string
| date-time
created_at
string
| date-time
__source
object (PathSourceSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
DEL

Delete path redirection rule

Remove specific path redirection rules.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
path_idpath
string
Required
ID allotted to the path redirection rule.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/path-mappings/{path_id}
Loading...
Response
200
Success.
Examples
Parameters
company_id:
"value"
application_id:
"value"
path_id:
"value"
Response
Loading...

Sales Channel SEO

SEO (Search Engine Optimization) in Fynd Platform encompasses a holistic approach to optimizing a website's digital footprint for enhanced search engine visibility and user engagement. This involves meticulously crafting title tags, meta descriptions, and meta tags to accurately represent page content and entice clicks in search results. Sellers also fine-tune their robots.txt file to control search engine crawlers' access to specific pages, ensuring indexation of relevant content while safeguarding private information. Additionally, sellers generate comprehensive sitemaps to facilitate search engine discovery and efficient indexing of all site pages. Furthermore, leveraging structured data markup such as SEO schema markup enriches search results with additional context, enhancing the appearance and relevance of listings. By integrating these practices seamlessly into their Fynd Platform websites, sellers can bolster organic traffic, elevate search rankings, and cultivate a robust online presence. This resource facilitates the use of retrieving all such content setup for an application into website or mobile applications.

Operations
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/generate-seo/{type}
# Generate SEO title
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo
# Get sales channel SEO
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo
# Update sales channel SEO information
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/default
# List default SEO Markup Schemas
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema
# List default SEO Markup Schemas
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema
# Create SEO Markup Schema
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
# Get SEO Markup Schema
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
# Get SEO Markup Schema
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
# Delete SEO Markup Schema
POST

Generate SEO title

Create an SEO-friendly title for content.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
typepath
object (GenerationEntityType)
Required
String representing the type of SEO content to be generated. Possible values are: title, description
Enum
Request body
text
string
existing_text
string
keywords
array of string
type
string
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/generate-seo/{type}
Loading...
Response
200
Returns the generated SEO title
Hide
title
string
description
string
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get sales channel SEO

Retrieve configuration settings for SEO.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo
Loading...
Response
200
Success. Refer `SeoComponent` for more details.
Hide
seo
object (SeoSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Update sales channel SEO information

Modify configuration settings for SEO.
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
Request body
seo
object (SeoSchema)
Show
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo
Loading...
Response
200
Success. Refer `SeoSchema` for more details.
Hide
app
string
_id
string
robots_txt
string
sitemap_enabled
boolean
additional_sitemap
string
cannonical_enabled
boolean
Default Value : false
custom_meta_tags
array of object (CustomMetaTag)
Show
details
object (Detail)
Show
created_at
string
| date-time
updated_at
string
| date-time
Examples
Parameters
body:
body
Response
Loading...
GET

List default SEO Markup Schemas

Use this API to List default SEO Markup Schemas
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
page_typequery
object (PageType)
The type of page against which schema template was created
Enum
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/default
Loading...
Response
200
Success. Refer `DefaultSchemaComponent` for more details.
Hide
items
array of object (DefaultSEOSchemaMarkupTemplate)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
page_type:
"default"
Response
Loading...
GET

List default SEO Markup Schemas

Use this API to List default SEO Markup Schemas
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Numeric ID allotted to an application created within a business account.
titlequery
string
Title of the seo schema.
activequery
string
Boolean value for fetching seo schema.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema
Loading...
Response
200
Success. Refer `SeoSchemaComponent` for more details.
Hide
items
array of object (SEOSchemaMarkupTemplate)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
"value"
application_id:
"value"
title:
"value"
active:
"value"
page_no:
1
page_size:
1
Response
Loading...
POST

Create SEO Markup Schema

Use this API to Create SEO Markup Schema
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
Request body
title
string
page_type
object (PageType)
Enum
schema
string
| byte
description
string
target_json
object
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
POST
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema
Loading...
Response
200
Success. Refer `SEOSchemaMarkupTemplate` for more details.
Hide
id
string
title
string
page_type
object (PageType)
Enum
schema
string
description
string
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
application
string
target_json
object
Examples
Parameters
company_id:
"value"
application_id:
"value"
body:
body
Response
Loading...
GET

Get SEO Markup Schema

Use this API to Get SEO Markup Schema
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idpath
string
Required
Alphanumeric ID allotted to a SEO Markup Schema Template created within a business.
GET
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
Loading...
Response
200
Success. Refer `SEOSchemaMarkupTemplate` for more details.
Hide
id
string
title
string
page_type
object (PageType)
Enum
schema
string
description
string
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
application
string
target_json
object
Examples
Parameters
company_id:
"value"
application_id:
"value"
id:
"value"
Response
Loading...
PUT

Get SEO Markup Schema

Use this API to Get SEO Markup Schema
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idpath
string
Required
Alphanumeric ID allotted to a SEO Markup Schema Template created within a business.
Request body
title
string
page_type
object (PageType)
Enum
schema
string
| byte
description
string
target_json
object
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
PUT
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
Loading...
Response
200
Success. Refer `SEOSchemaMarkupTemplate` for more details.
Hide
id
string
title
string
page_type
object (PageType)
Enum
schema
string
description
string
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
application
string
target_json
object
Examples
Parameters
company_id:
"value"
application_id:
"value"
id:
"value"
body:
body
Response
Loading...
DEL

Delete SEO Markup Schema

Use this API to Delete SEO Markup Schema
Parameters
company_idpath
string
Required
Numeric ID allotted to a business account on Fynd Platform
application_idpath
string
Required
Alphanumeric ID allotted to an application created within a business account.
idpath
string
Required
Alphanumeric ID allotted to a SEO Markup Schema Template created within a business.
DEL
/service/platform/content/v1.0/company/{company_id}/application/{application_id}/seo/schema/{id}
Loading...
Response
200
400
Success. Refer `SEOSchemaMarkupTemplate` for more details.
Hide
id
string
title
string
page_type
object (PageType)
Enum
schema
string
description
string
active
boolean
created_at
string
| date-time
updated_at
string
| date-time
application
string
target_json
object
Examples
Parameters
company_id:
"value"
application_id:
"value"
id:
"value"
Response
Loading...